@import url("normalize.css");
@import url("grid.css");
@import url("fonts.css");

:root {
  --primary-color: #0abead;
  --secondry-color: #f57f17;
  --text-color: #333333;
  --shadow-color: rgba(18, 282, 255, 0.24);
  --app-bg-color: #fff;
  --section-bg-color: #fff;
  scroll-behavior: smooth;
  user-select: none;
}
:root.dark-theme {
  --text-color: #95a5c6;
  --app-bg-color: #161d26;
  --section-bg-color: #1f2935;
}
:root.dark-theme .header,
:root.dark-theme .home__photo,
:root.dark-theme .about,
:root.dark-theme .resume,
:root.dark-theme .resume-list,
:root.dark-theme .pricing,
:root.dark-theme .package,
:root.dark-theme .contact,
:root.dark-theme .contactus__map {
  box-shadow: none;
}
:root.dark-theme .home {
  background-image: url(../assets/shapes/home-shope-dark.svg);
}
:root.dark-theme .home__caption,
:root.dark-theme .about__list-title {
  color: var(--text-color);
}
:root.dark-theme .resume-content__title {
  color: var(--secondry-color);
}

/* ------------------ Reset styles -------------------- */
html {
  box-sizing: border-box;
}
*,
*::after,
*::before {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
  border: none;
  outline: none;
}
a {
  text-decoration: none;
  color: inherit;
}
ul,
ol {
  list-style-type: none;
}

/* ------------------ Components -------------------- */
.app-btn {
  width: 20rem;
  height: 6rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 3rem;
  font-family: "Poppins-SemiBold";
  line-height: 0.4rem;
  color: #fff;
  background-color: var(--primary-color);
  box-shadow: 0 1.6rem 2.9rem hsla(174, 89%, 39%, 0.41);
  cursor: pointer;
}
.app-btn-orange {
  background-color: var(--secondry-color);
  box-shadow: 0 1.6rem 2.8rem rgba(245, 127, 23, 0.24);
}

.section-head {
  margin: 9rem 0 7rem;
  text-align: center;
}
.section-head__title {
  font-family: "Poppins-Bold";
  font-size: 4.8rem;
  color: var(--primary-color);
}
.section-head__caption {
  color: var(--text-color);
  letter-spacing: 0.4rem;
  margin: 1rem 0 2rem;
  transition: color 100ms ease-in;
}
.section-head__line {
  display: inline-block;
  width: 24rem;
  height: 0.2rem;
  border-radius: 2rem;
  background-color: var(--primary-color);
  position: relative;
}
.section-head__line::after {
  content: "";
  position: absolute;
  width: 4rem;
  height: 1.1rem;
  border-radius: 2rem;
  background-color: var(--primary-color);
  top: -0.5rem;
  left: 0;
  right: 0;
  margin: 0 auto;
}

/* ------------------ Helper Classes -------------------- */
.align-items-center {
  align-items: center;
}
.justify-content-space-between {
  justify-content: space-between;
}
.skew-reset {
  transform: translateZ(0) skewY(6deg);
}
.h-full {
  height: 100%;
}

/* ------------------ App -------------------- */
html {
  font-size: 62.5%;
}
body {
  font-family: "Poppins-Regular";
  font-size: 1.6rem;
  line-height: 1.2;
  color: var(--text-color);
  background-color: var(--app-bg-color);
  transition: color 100ms ease-in, background-color 100ms ease-in;
}

/* ================= Header ================= */
.header {
  position: fixed;
  right: 0;
  left: 0;
  box-shadow: 0 0.3rem 5.9rem #04c3ff29;
  background-color: var(--section-bg-color);
  z-index: 100;
  transition: background-color 100ms ease-in;
}
.nav {
  height: 15rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.nav__logo {
  font-family: "Poppins-Black";
  font-size: 7.8rem;
  color: var(--primary-color);
}
.nav__logo-link {
  display: inline-block;
  width: fit-content;
  height: min-content;
}
.menu {
  display: flex;
  gap: 5rem;
  font-family: "Poppins-Medium";
}
.menu__item--active {
  color: var(--primary-color);
}
.menu__link {
  transition: color 100ms ease-in;
}
.menu__link:hover {
  color: var(--primary-color);
}
.nav__toggle-icon {
  display: none;
  height: 4rem;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}
.nav__toggle-line {
  position: relative;
  display: inline-block;
  transition: all 100ms ease-in;
}
.nav__toggle-line,
.nav__toggle-line::before,
.nav__toggle-line::after {
  content: "";
  width: 5rem;
  height: 0.4rem;
  border-radius: 2rem;
  background-color: var(--primary-color);
}
.nav__toggle-line::before {
  position: absolute;
  top: -1.2rem;
  transition: all 150ms ease-in;
}
.nav__toggle-line::after {
  position: absolute;
  top: 1.2rem;
  transition: all 150ms ease-in;
}
.nav__toggle-icon--open .nav__toggle-line {
  background-color: transparent;
}
.nav__toggle-icon--open .nav__toggle-line::before {
  transform: translateY(1.2rem) rotate(45deg);
}
.nav__toggle-icon--open .nav__toggle-line::after {
  transform: translateY(-1.2rem) rotate(-45deg);
}

/* =============== Main =============== */
.main {
  position: relative;
  overflow-x: hidden;
}

/* ---------------- Home Section ---------------- */
.home {
  height: 110rem;
  padding-top: 21.5rem;
  background-image: url("../assets/shapes/home-shape.svg");
  background-repeat: no-repeat;
  background-position-y: 101%;
}
.home__say-hello {
  font-size: 2.8rem;
  font-family: "Poppins-SemiBold";
  margin: 1.2rem 0 0.9rem;
  color: var(--primary-color);
}
.home__full-name {
  color: var(--secondry-color);
}
.home__title {
  margin: 0.9rem 0 1.2rem;
  font-size: 5rem;
  font-family: "Poppins-SemiBold";
  color: var(--primary-color);
}
.home__caption {
  color: #333333b5;
}
.home__links-wrapper {
  margin-top: 3.8rem;
  display: flex;
  gap: 3rem;
}
.home__photo {
  background-image: url("../assets/images/header-avatar.jpg");
  width: 54rem;
  height: 54rem;
  background-position: -19.8rem -1rem;
  background-size: 154%;
  background-repeat: no-repeat;
  border-radius: 50%;
  border: 2.3rem solid var(--section-bg-color);
  overflow: hidden;
  box-shadow: 0 0.3rem 5.9rem #04c3ff29;
}

/* ------------------ About Us Section -------------------- */
.about {
  display: flex;
  box-shadow: 0 0 5.9rem rgba(96, 233, 255, 0.27);
}
.about__cover {
  min-height: 100%;
  flex-basis: 52%;
}
.about__img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: -10rem;
}
.about__content {
  flex-basis: 48%;
  padding: 5.3rem 4.2rem 6rem 3.8rem;
  background-color: var(--section-bg-color);
  transition: background-color 100ms ease-in;
}
.about__title {
  font-size: 2.4rem;
  font-family: "Poppins-SemiBold";
  line-height: 1;
}
.about__description {
  line-height: 2.4rem;
  margin: 1.7rem 0 7.2rem;
  text-align: justify;
}
.about__list-title {
  font-size: 1.8rem;
  font-family: "Poppins-SemiBold";
  color: var(--primary-color);
  margin-bottom: 0.2rem;
}
.about-list {
  padding-left: 1rem;
}
.about-list__item {
  padding-left: 3.2rem;
  margin-top: 1.2rem;
  position: relative;
}
.about-list__item::after {
  content: "";
  position: absolute;
  width: 1.5rem;
  height: 1.5rem;
  border-radius: 50%;
  background-color: var(--secondry-color);
  top: 0;
  bottom: 0;
  left: 0;
}
.about__links-wrapper {
  margin-top: 4rem;
  display: flex;
  gap: 3rem;
}

/* ------------------ Services Section -------------------- */
.service {
  color: #fff;
  text-align: center;
  padding: 8rem 3.4rem 6.2rem;
  margin-bottom: 3rem;
  position: relative;
  overflow: hidden;
  z-index: 5;
}
.service--purple {
  background-color: #8540ff;
  box-shadow: 0 0 3.5rem rgb(118, 13, 255, 0.35);
}
.service--yellow {
  background-color: #ffc50c;
  box-shadow: 0 0 3.5rem rgb(255, 197, 12, 0.35);
}
.service--pink {
  background-color: #ec407a;
  box-shadow: 0 0.3rem 3.5rem rgb(236, 64, 122, 0.35);
}
.service--orange {
  background-color: #ff6331;
  box-shadow: 0 0 2.8rem rgb(255, 99, 49, 0.35);
}
.service--blue {
  background-color: #13b6ff;
  box-shadow: 0 0 3.5rem rgb(19, 182, 255, 0.35);
}
.service--green {
  background-color: #49af46;
  box-shadow: 0 0 3.5rem rgb(73, 175, 70, 0.35);
}
.service__title {
  margin: 2.5rem 0 1.4rem;
  font-size: 2.4rem;
  line-height: 1;
  font-family: "Poppins-Bold";
}
.service__caption {
  font-family: 1.6rem;
  line-height: 1.5;
}
.service__wave {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  z-index: -1;
}

/* ------------------ Resume Section -------------------- */
.resume {
  min-height: 82rem;
  padding: 5rem 0 10rem;
  margin-top: 15rem;
  transform: translateZ(0) skewY(-6deg);
  box-shadow: 0 0 5.9rem rgba(96, 233, 255, 0.27);
  background-color: var(--section-bg-color);
  transition: background-color 100ms ease-in;
}
.resume .section-head {
  margin-top: 3rem;
}

/* ========= Resume List ========= */
.resume-list {
  position: relative;
  height: 39rem;
  margin-right: 2.4rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 1.4rem;
  box-shadow: 0 0 5.9rem rgba(96, 233, 255, 0.27);
  background-color: var(--app-bg-color);
  z-index: 4;
  transition: background-color 100ms ease-in;
}
.resume-list::before {
  content: "";
  position: absolute;
  width: 4rem;
  height: 100%;
  left: 0;
  top: 0;
  bottom: 0;
  background-color: #0abead;
  z-index: -1;
}
.resume-list__item {
  position: relative;
  height: 5rem;
  display: flex;
  align-items: center;
  gap: 2.2rem;
  z-index: 3;
  cursor: pointer;
  transition: color 120ms ease-in, background-color 120ms ease-in;
}
.resume-list__item::before {
  content: "";
  position: absolute;
  width: 5.2rem;
  max-width: 28rem;
  left: 0;
  top: 0;
  bottom: 0;
  border-radius: 2.5rem;
  box-shadow: 0 0 5.9rem rgba(96, 233, 255, 0.27);
  background-color: #0abead;
  transition: width 200ms ease-in;
  z-index: -1;
}
.resume-list__item--active .resume-list__title {
  color: #ffffff;
}
.resume-list__item--active::before {
  width: 100%;
}
.resume-list__icon {
  width: 2rem;
  margin: 0 1rem;
}
.resume-list__title {
  font-family: "Poppins-SemiBold";
  font-size: 2rem;
  color: var(--text-color);
  transition: color 200ms ease-in;
}

/* ========= Resume Content ========= */
.resume-content {
  height: 0;
  overflow: hidden;
  opacity: 0;
  padding-left: 3.4rem;
  border-left: 0.3rem solid var(--primary-color);
  transition: opacity 120ms ease-in;
}
.resume-content--show {
  height: auto;
  overflow: visible;
  opacity: 1;
}
.resume-content__item {
  padding-top: 2.6rem;
}
.resume-content__head {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 1rem;
}
.resume-content__title {
  position: relative;
  font-family: "Poppins-SemiBold";
  font-size: 2rem;
  line-height: 1;
  color: #ff5823;
}
.resume-content__title::before {
  content: "";
  position: absolute;
  left: -4.5rem;
  width: 2rem;
  height: 2rem;
  border-radius: 50%;
  background-color: var(--primary-color);
}
.resume-content__category {
  width: 11rem;
  height: 3rem;
  font-size: 1.6rem;
  line-height: 3.2rem;
  text-align: center;
  border-radius: 1.5rem;
  background-color: var(--secondry-color);
  color: #fff;
  box-shadow: 0 0.3em 0.7rem rgba(245, 127, 23, 0.24);
}
.resume-content__subtitle {
  font-family: "Poppins-SemiBold";
  font-size: 1.6rem;
  margin: 0.8rem 0;
}
.resume-content__description {
  font-size: 1.6rem;
}

/* ------------------ Portfolio Section -------------------- */
.portfolio {
  margin-top: 12rem;
}
.portfolio-list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 2rem;
  margin-bottom: 4.4rem;
}
.portfolio-list__item {
  width: 15rem;
  height: 5rem;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  font-family: "Poppins-SemiBold";
  border-radius: 2.5rem;
  transition: background-color 120ms ease-in, color 120ms ease-in;
  cursor: pointer;
}
.portfolio-list__item--active {
  color: #fff;
  background-color: var(--primary-color);
}
.portfolio-content {
  height: 0;
  opacity: 0;
  overflow: hidden;
  transition: opacity 120ms ease-in;
}
.portfolio-content--show {
  height: auto;
  opacity: 1;
}
.portfolio-content__img {
  width: 100%;
  cursor: pointer;
}

/* ========= Reset Swiper Code ========= */
.swiper-pagination-bullet {
  width: 2.4rem !important;
  height: 2.4rem !important;
  background-color: #fff !important;
  border: 0.4rem solid #bfbebe !important;
  opacity: 1 !important;
}
.swiper-pagination-bullet-active {
  border-color: var(--primary-color) !important;
}
.swiper-pagination {
  position: static !important;
  margin-top: 1rem;
}

/* ------------------ Pricing Section -------------------- */
.pricing {
  min-height: 82rem;
  padding: 5rem 0 18rem;
  margin-top: 12rem;
  transform: translateZ(0) skewY(-6deg);
  box-shadow: 0 0 5.9rem rgba(96, 233, 255, 0.27);
  background-color: var(--section-bg-color);
  transition: background-color 100ms ease-in;
}
.package {
  box-shadow: 0 0 5.9rem rgba(96, 233, 255, 0.27);
}
.package__head {
  height: 17rem;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 1rem;
  color: #fff;
}
.package__type {
  font-family: "Poppins-SemiBold";
  font-size: 3.6rem;
}
.package__price {
  font-family: "Poppins-SemiBold";
  font-size: 2.4rem;
}
.package__body {
  height: 43rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 3rem;
  background-color: var(--app-bg-color);
  transition: background-color 100ms ease-in;
}
.package-option {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}
.package-options__txt {
  display: inline-block;
  margin-left: 1.6rem;
}
.package__head--orange {
  background-color: #f57f17;
}
.package__head--purple {
  background-color: #803afb;
}
.package__head--pink {
  background-color: #f5276c;
}
.package__link--orange {
  background-color: #f57f17;
  box-shadow: 0 1.6rem 2.8rem rgb(255, 99, 49, 24%);
}
.package__link--purple {
  background-color: #803afb;
  box-shadow: 0 1.6rem 2.8rem rgba(128, 58, 251, 24%);
}
.package__link--pink {
  background-color: #f5276c;
  box-shadow: 0 1.6rem 2.8rem rgba(245, 39, 108, 24%);
}

/* ------------------ Contact Us Section -------------------- */
.contactus {
  margin-top: 12rem;
}
.contactus__wrapper {
  height: 80rem;
  padding-top: 6rem;
  background-image: url("../assets/images/map.jpg");
  background-repeat: no-repeat;
  background-size: cover;
}
.contactus__map {
  width: 7.7rem;
  height: 7.7rem;
  position: absolute;
  top: 35%;
  left: 30%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--app-bg-color);
  border-radius: 50%;
  box-shadow: 0 0 5.9rem rgba(96, 233, 255, 27%);
  transition: background-color 100ms ease-in;
}
.contact {
  max-width: 57rem;
  height: 70rem;
  margin-left: auto;
  padding: 4rem 4.5rem 5rem;
  box-shadow: 0 0 8.1rem rgba(19, 182, 255, 24%);
  background-color: var(--section-bg-color);
  transition: background-color 100ms ease-in;
}
.contact__title {
  margin-bottom: 2.4rem;
  font-size: 3.6rem;
  font-family: "Poppins-Bold";
  color: var(--primary-color);
}
.contact__input {
  color: var(--text-color);
  width: 100%;
  height: 5rem;
  padding: 0 3.3rem;
  margin-bottom: 2rem;
  box-shadow: 0 0 5.9rem rgba(96, 233, 255, 27%);
  border-radius: 1rem;
  background-color: var(--app-bg-color);
  transition: color 100ms ease-in;
  transition: background-color 100ms ease-in;
}
.contact__input--textarea {
  height: 18rem;
  padding: 1.6rem 3.3rem;
  color: var(--text-color);
  resize: none;
  transition: color 100ms ease-in;
}
.contact__input::placeholder {
  color: var(--text-color);
  transition: color 100ms ease-in;
}
.contact__submit {
  font-size: 1.8rem;
  width: 100%;
}

/* =================== Footer Section =================== */
.footer {
  padding: 2.8rem 0;
  background-color: var(--app-bg-color);
  transition: background-color 100ms ease-in;
}
.footer__wrapper {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.footer__copy-right {
  font-size: 1.8rem;
  font-family: "Poppins-SemiBold";
  color: var(--text-color);
  letter-spacing: 0.4rem;
  transition: color 100ms ease-in;
}
.footer__socials {
  display: flex;
  align-items: center;
  gap: 1rem;
}
.footer__social,
.change-theme {
  width: 5rem;
  height: 5rem;
  border-radius: 50%;
  background-color: #1f2935;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 120ms ease-in;
}
.footer__social:hover {
  background-color: var(--primary-color);
}
.footer__icon {
  fill: var(--app-bg-color);
  transition: fill 100ms ease-in;
}
.change-theme__icon {
  fill: transparent;
  stroke: #fff;
  cursor: pointer;
}
